MSGCAT(1)

BEZEICHNUNG
msgcat - kombiniert mehrere Meldungskataloge

ÜBERSICHT
msgcat [OPTION] [EINGABEDATEI] …

BESCHREIBUNG

Fügt PO-Dateien aneinander und vereinigt sie. Sucht Meldungen, die in zwei oder mehr der angegebenen PO-Dateien vorkommen. Wenn die Option --more-than verwendet wird, kann häufigeres Vorkommen gefordert werden, bevor Meldungen ausgegeben werden. Andererseits können mit --less-than nur Meldungen mit seltenerem Vorkommen berücksichtigt werden (z.B. wird --less-than=2 nur Meldungen ausgeben, die nur einmal vorkommen). Übersetzungen, Kommentare, Quelltextkommentare und Stellenangaben werden kumuliert, außer wenn --use-first angegeben ist; in diesem Fall wird der entsprechende Eintrag nur von der ersten PO-Datei berücksichtigt, in der der Eintrag vorkommt.

Die zwingend erforderlichen Argumente für Optionen sind für deren Kurz- und Langform gleich.

  Ort der Eingabedatei:

EINGABEDATEI …
    Eingabedateien

-f, --files-from=DATEI
    holt die Namen der Eingabedateien aus der angegebenen DATEI.

-D, --directory=VERZEICHNIS
    Fügt das angegebene VERZEICHNIS zur Liste hinzu, in der nach Eingabedateien gesucht wird.

Wenn die Eingabedatei »-« ist, wird die Standardeingabe gelesen.

  Ort der Ausgabedatei:

-o, --output-file=DATEI
    Schreibt die Ausgabe in die angegebene DATEI.

Die Ergebnisse werden in die Standardausgabe geschrieben, wenn keine Datei oder »-« angegeben ist.

  Auswahl der Meldungen:

-<, --less-than=ANZAHL
    zeigt Meldungen mit weniger als der angegebenen ANZAHL Definitionen an (Vorgabe: unendlich, falls nicht gesetzt).

->, --more-than=ANZAHL
    zeigt Meldungen mit mehr als der angegebenen ANZAHL Definitionen an (Vorgabe: 0).

-u, --unique
    ist ein Kürzel für --less-than=2; fordert Meldungen an, die nur einmal vorkommen.

  Syntax der Eingabedatei:

-P, --properties-input
    Eingabedateien folgen der .properties-Syntax von Java.

--stringtable-input
    Eingabedateien folgen der .strings-Syntax von NeXTstep/GNUstep.

  Details zur Ausgabe:

-t, --to-code=NAME
    gibt die Kodierung für die Ausgabe an.

--use-first
    verwendet die zuerst vorkommende Übersetzung für jede Meldung, führt nicht mehrere Übersetzungen zusammen.

--lang=KATALOGNAME
    setzt das »Language«-Feld im Kopfeintrag.

--color
    Verwendet immer Farben und andere Text-Attribute.

--color=WERT
    Verwendet Farben und andere Text-Attribute. Der angegebene WERT kann »always«, »never«, »auto« oder »html« sein.

--style=STILDATEI
    Gibt die CSS-Stilregeldatei für --color an.

-e, --no-escape
    verwendet keine C-Maskier-Sequenzen in der Ausgabe (Vorgabe).

-E, --escape
    verwendet C-Maskier-Sequenzen in der Ausgabe, keine erweiterten Zeichen.

--force-po
    Erstellt die PO-Datei auch dann, wenn sie leer ist.

-i, --indent
    stellt die ausgegebene .po-Datei eingerückt dar.

--no-location
    schreibt keine Zeilen mit »#: Datei:Zeilennummer«.

-n, --add-location
    schreibt Zeilen mit »#: Datei:Zeilennummer« (Vorgabe).

--strict
    erstellt eine .po-Datei streng nach Uniforum-Format.

-p, --properties-output
    Schreibt eine .properties-Datei für Java.

--stringtable-output
    Schreibt eine .strings-Datei für NeXTstep/GNUstep.

-w, --width=ANZAHL
    Legt die Ausgabebreite auf die angegebene ANZAHL Spalten fest.

--no-wrap
    Bricht Zeilen in Meldungen, die länger als die Ausgabebreite sind, nicht auf mehrere Zeilen um.

-s, --sort-output
    Erstellt eine sortierte Ausgabe.

-F, --sort-by-file
    Sortiert die Ausgabe gemäß Vorkommen in Dateien.

  Informative Ausgabe:

-h, --help
    Zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    Gibt Versionsinformationen aus und beendet das Programm.

AUTOR
Geschrieben von Bruno Haible.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf https://savannah.gnu.org/projects/gettext oder per E-Mail an bug-gettext@gnu.org (jeweils auf Englisch).

COPYRIGHT
Copyright © 2001-2025 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für msgcat wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und msgcat auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info msgcat

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).